<template>
  <section class="grid lg:flex lg:flex-wrap gap-4">
    <div
      class="dashboard-section dashboard-section-cols lg:flex-grow"
      v-for="insight in insights"
      :key="insight.title"
    >
      <div>
        <p class="text-gray text-lg font-normal">{{ insight.title }}</p>
        <div class="flex flex-wrap items-end gap-2">
          <span class="text-3xl font-bold">{{ insight.value }}</span>
          <p class="font-black mb-1" :class="getInsightColor(insight.diff)">
            {{ insight.diff }}
          </p>
        </div>
      </div>
      <blue-icon :name="insight.icon"></blue-icon>
    </div>
  </section>
</template>

<script lang="ts">
import Vue from "vue";
import { getDiffColor } from "@/utils";

export default Vue.extend({
  data() {
    return {
      insights: [
        {
          title: "Today's Sales",
          value: "$53,000",
          diff: "+30%",
          icon: "sales"
        },
        {
          title: "Today’s Users",
          value: "3,200",
          diff: "+20%",
          icon: "users"
        },
        {
          title: "New Clients",
          value: "+1,200",
          diff: "-20%",
          icon: "heart"
        },
        {
          title: "New Orders",
          value: "$13,200",
          diff: "+10%",
          icon: "order"
        }
      ]
    };
  },
  methods: {
    getInsightColor: getDiffColor
  }
});
</script>
